package kerhoas.enib.fr.chrono;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Chronometer;
import android.os.SystemClock;

public class MainActivity extends AppCompatActivity {
    private Button startButton;
    private Button restartButton;
    private Chronometer chronometer;
    private boolean isRunning;
    private long stopTime;
    private long pauseDuration;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        startButton = (Button) findViewById(R.id.button);
        restartButton = (Button) findViewById(R.id.restartId);
        chronometer = (Chronometer) findViewById(R.id.chrono);
        isRunning = false;

        startButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

            }
        });
        startButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                if(startButton.getText().equals("Start")){
                    if(!isRunning){
                        chronometer.setBase(SystemClock.elapsedRealtime());
                        chronometer.start();
                        isRunning = true;
                        startButton.setText("Stop");
                    }else{
                        pauseDuration = SystemClock.elapsedRealtime() - stopTime;
                        chronometer.setBase(chronometer.getBase() + pauseDuration);
                        chronometer.start();
                        startButton.setText("Stop");
                    }
                }else if(startButton.getText().equals("Stop")){
                    chronometer.stop();
                    stopTime = SystemClock.elapsedRealtime();
                    startButton.setText("Start");
                }
            }
        });

        restartButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                chronometer.setBase(SystemClock.elapsedRealtime());
                chronometer.stop();
                isRunning = false;
                if(startButton.getText().equals("Stop")){
                    startButton.setText("Start");
                }
            }
        });
    }
}
